Attribute VB_Name = "Battle"
Public Type BattleVariables
    CharTurn As Integer
    MaxCharTurn As Integer
    AttackEnemy As Integer
    GameOver As Boolean
    EnemyMoves As Integer
    HeroMoves As Integer
End Type
Public BattleStats As BattleVariables

Public Sub CharacterSwitch()
        'Go to next character
    With BattleStats
        If .CharTurn < .MaxCharTurn Then
            .CharTurn = .CharTurn + 1
        ElseIf .CharTurn = .MaxCharTurn Then
            .CharTurn = 0
        End If
        DisplayUpdate
        If .GameOver = False Then NextTurn
    End With
End Sub

Public Sub NextTurn()
    With BattleStats
        If .CharTurn = 0 Then
            HeroChoose
        ElseIf Enemies(.CharTurn).Active = False Then
            CharacterSwitch
        Else
            EnemyChoose
        End If
    End With
End Sub

Public Sub DisplayUpdate()
    'Enemy Pictures
    For X = 1 To Settings.NumberEnemies
        If Enemies(X).Active = True Then
            frmBattle.imgEnemy(X).Visible = True
        Else
            frmBattle.imgEnemy(X).Visible = False
        End If
    Next X
    'Arrow Display
    With frmBattle
        If BattleStats.CharTurn = 0 Then
            .imgHeroArrow.Visible = True
            .imgEnemyArrow.Visible = False
        Else
            .imgHeroArrow.Visible = False
            .imgEnemyArrow.Visible = True
            .imgEnemyArrow.Top = .imgEnemy(BattleStats.CharTurn).Top - 180
            .imgEnemyArrow.Left = .imgEnemy(BattleStats.CharTurn).Left + 50
        End If
    'Hero Stat Box
        .lblHP = Hero.Health
        .lblHPMax = Hero.HealthMax
        'Enemy Stat Box
        For X = 1 To Settings.NumberEnemies
            .lblEnemy(X).Visible = True
            .lblEnemy(X).Caption = "Enemy " & X
            .lblEnemyHP(X).Visible = True
            .lblEnemyHP(X).Caption = Enemies(X).Health
            .lblSlash(X).Visible = True
            .lblEnemyMax(X).Visible = True
            .lblEnemyMax(X).Caption = Enemies(X).HealthMax
        Next X
    End With
End Sub
Public Sub CheckEnemyHealth(X As Integer)
    If Enemies(X).Health <= 0 Then
        HData.RemainingEnemies = HData.RemainingEnemies - 1
        Enemies(X).Active = False
        Enemies(X).Health = 0
        AllEnemiesDead
    End If
End Sub
Public Sub CheckHeroHealth()
    If Hero.Health <= 0 Then
        frmEnd.lblEnd.Caption = "The Enemies have defeated the Hero."
        frmBattle.tmrEnd.Enabled = True
        frmBattle.TimerSeconds = 0
        frmBattle.shpInfo.Visible = True
        frmBattle.lblInfo.Visible = True
        BattleStats.GameOver = True
    End If
End Sub
Public Sub AllEnemiesDead()
    If Enemies(1).Active = False Then
        If Enemies(2).Active = False Then
            If Enemies(3).Active = False Then
                If Enemies(4).Active = False Then
                    If Enemies(5).Active = False Then
                        BattleStats.GameOver = True
                        frmBattle.TimerSeconds = 0
                        frmBattle.shpInfo.Visible = True
                        frmBattle.lblInfo.Visible = True
                        frmEnd.lblEnd.Caption = "The Hero has defeated all Enemies."
                        frmBattle.tmrEnd.Enabled = True
                    End If
                End If
            End If
        End If
    End If
End Sub
